DWDIFF(1)

NAAM
dwdiff - afgebakend woord verschil programma

OVERZICHT
dwdiff [OPTIES] OUD BESTAND NIEUW BESTAND
dwdiff [OPTIES] --diff-input [DIFF BESTAND]

BESCHRIJVING
dwdiff is een programma dat het verschil tussen twee bestanden bepaalt in woorden, in plaats van in regels. Het verschilt van wdiff in dat het de gebruiker toestaat om te specificeren wat witruimte is, en in dat het een optionele lijst van afbakeningskarakters kan gebruiken. Afbakeningskarakters worden behandeld als of ze afzonderlijke woorden zijn, zelfs als er geen witruimte is gelaten tussen het karakter en het voorafgaande of volgende woord. dwdiff is grotendeels commando-regel compatibel met wdiff. Slechts the --autopager, --terminal en --avoid-wraps opties worden niet ondersteund.

De standaard uitvoer van dwdiff is de nieuwe tekst, met daarin gemarkeerde verwijderde en ingevoegde stukken. Er zijn commando-regel opties beschikbaar om de uitvoer te veranderen.

OPTIES
dwdiff accepteert de volgende opties (In alle karaktersequenties worden eerst de \-escapecodes verwerkt. Alle standaard codes worden ondersteund, evenals de \u en \U Unicode escapecodes):

-h, --help
    Toon een kort help bericht.

-v, --version
    Toon versie en auteursrecht informatie.

-d delimiters, --delimiters=delimiters
    Specificeer de lijst van afbakeningskarakters. De standaard waarde is leeg.

-P, --punctuation
    Gebruik alle leestekens als afbakeningskarakters. De set van leestekens is locale-afhankelijk.

-W whitespace, --white-space=whitespace
    Specificeer de lijst van witruimte karakters. De standaard set van witruimte is locale-afhankelijk.

-u, --diff-input
    Interpreteer de invoer als de uitvoer van diff in het Unified Diff formaat (meestal geproduceerd door diff -u). In dit geval is er maar één invoerbestand toegestaan. Deze optie maakt het mogelijk om de diff uitvoer te herformateren met dwdiff, en is bijvoorbeeld nuttig om de uitvoer van svn diff na te bewerken.

-1, --no-deleted
    Toon de woorden die verwijderd zijn uit het eerste bestand niet.

-2, --no-inserted
    Toon de woorden die ingevoegd zijn in het tweede bestand niet.

-3, --no-common
    Toon de woorden die in beide bestanden voorkomen niet.

-L[width], --line-numbers[=width]
    Toon regelnummers aan het begin van iedere regel. De getoonde regelnummers zijn respectievelijk het regelnummer in het oude bestand en het regelnummer in het nieuwe bestand. Het optionele width argument is het minimum aantal posities per regelnummer.

-Cnum, --context=num
    Toon num regels context voor en na veranderingen. Voegt een regel met alleen -- toe tussen ieder blok veranderingen.

-s, --statistics
    Toon statistieken bij het afsluiten van het programma. De getoonde getallen zijn de aantallen woorden in beide bestanden, het aantal verwijderde woorden, het aantal ingevoegde woorden, en het aantal veranderde woorden. Het aantal veranderde woorden wordt geteld als het aantal woorden dat is verwijderd in het eerste bestand, en als het aantal vervangende woorden uit het tweede bestand. Al deze getallen worden ook uitgedrukt als een percentage van het totaal aantal woorden van het bestand waaruit ze afkomstig waren.

-i, --ignore-case
    Negeer het verschil tussen hoofdletters en kleine letters bij het vergelijken van woorden. Deze optie is alleen beschikbaar als het onderliggende diff programma deze optie biedt.

-I, --ignore-formatting
    Negeer verschillen in opmaak van karakters. Deze optie schakelt naar het gebruik van de Unicode compatibiliteitsdecompositie van karakters in plaats van de canonieke decompositie. De compatibiliteitsdecompositie gooit opmaak informatie weg. Bijvoorbeeld, de ligatuur fi wordt vertaald naar twee losse letters voor de vergelijking. Echter, ook super- en subscript worden ook als gelijk gezien, evenals verschillende rotaties van hetzelfde karakter.

-c[spec], --color[=spec]
    Kleurenmodus. De optionele specificatie spec kan gebruikt worden om de gebruikte kleuren aan te passen. spec bestaat uit [verwijderd],[toegevoegd]. Als een van beide ontbreekt wordt zijn standaard kleur gebruikt (respectievelijk helder rood en helder groen). Beide delen van spec bestaan uit [voorgrond][:achtergrond]. Een lijst met toelaatbare kleurnamen kan worden verkregen door het woord ``list'' te gebruiken op de plaats van spec. Alternatief kan een willekeurige escapecode om attributen te zetten worden gebruikt als kleur door er e: voor te zetten.

    De standaard markeringen voor het begin en het einde van verwijderde en toegevoegde tekst worden onderdrukt, maar markeringen die op de commando-regel zijn gespecificeerd zullen worden afgedrukt.

-l, --less-mode
    Als -p, maar voer het doorhalen ook uit op verwijderde witruimte karakters.

-p, --printer
    Gebruik doorhalen met een liggend streepje en dik gedrukte tekst om veranderingen te benadrukken. Dit is geïmplementeerd door eerst een liggend streepje of een duplicaat van het karakter af te drukken, gevolgd door een backspace karakter, gevolgd door het karakter zelf. Op de meeste terminals heeft dit geen effect. Het less(1) programma zal echter doorgehaalde en dik gedrukte tekst laten zien.

    De standaard markeringen voor het begin en het einde van verwijderde en toegevoegde tekst worden onderdrukt, maar markeringen die op de commando-regel zijn gespecificeerd zullen worden afgedrukt.

-m[num], --match-context[=num]
    Gebruik num woorden context voor en na ieder woord voor vergelijking. Woorden in de oude tekst komen dan alleen overeen met woorden in de nieuwe tekst als de woorden er omheen eveneens overeenkomen. Dit verbeterd de uitvoer van dwdiff voor grote aanpassingen met veel voorkomende woorden. Echter, het gebruik van context vergroot de benodigde schijfruimte en vergt meer rekentijd. De standaard waarde voor deze optie is 1. Zet deze optie op 0 om het gedrag van versies voor 1.5 te gebruiken.

--aggregate-changes
    Laat nabije veranderingen versmelten tot één verandering, als context woorden gebruikt worden (zie --match-context). Deze optie verminderd de benodigde rekentijd door de veranderingen die het diff programma rapporteerd niet nader te verfijnen.

-A algorithm, --algorithm=algorithm
    Kies het algoritme dat gebruikt wordt om de verschillen te bepalen. Er zijn drie mogelijke waarden voor algorithm: best, welke een minimaal aantal verschillen probeert te vinden, normal, welke enige optimaliteit uitruilt voor snelheid, en fast, welke er van uit gaat dat er slechts enkele wijzigingen zijn op een lange tekst. Standaard wordt het normal algoritme gebruikt.

-S[marker], --paragraph-separator[=marker]
    Toon toegevoegde of verwijderde blokken van regels met alleen maar witruimte karakters. Een speciale markering wordt aan de uitvoer toegevoegd om deze blokken aan te geven. De standaard markering is --.

--wdiff-output
    Maak uitvoer die overeenkomt met die van het wdiff programma. dwdiff maakt gebruik van een ander uitvoer algoritme, welke een meer intuïtieve uitvoer produceert.

-w string, --start-delete=string
    Tekenreeks om het begin van verwijderde tekst te markeren. De standaard waarde is [-.

-x string, --stop-delete=string
    Tekenreeks om het einde van verwijderde tekst te markeren. De standaard waarde is -].

-y string, --start-insert=string
    Tekenreeks om het begin van toegevoegde tekst te markeren. De standaard waarde is {+.

-z string, --stop-insert=string
    Tekenreeks om het einde van toegevoegde tekst te markeren. De standaard waarde is +}.

-R, --repeat-markers
    Herhaal de begin en eind markeringen aan het begin en het eind van een regel als de verandering over een regeleinde loopt.

--profile=name
    Laad het profiel met de naam name uit het .dwdiffrc bestand in de home directory van de gebruiker. Alleen het laatst genoemde profiel wordt daadwerkelijk gelezen, tenzij het gevolgd wordt door een --no-profile optie. Standaard wordt het profiel genaamd default gelezen.

--no-profile
    Schakel het lezen van profielen uit, tenzij gevolgd door nog een --profile optie. Dit verhindert ook het lezen van het default profiel.

Een enkel minteken (-) als bestandsnaam kan worden gebruikt om aan te geven dat de tekst van de standaard invoer moet worden gelezen. Slechts één bestand kan van standaard invoer worden gelezen. Om te voorkomen dat dwdiff een bestandsnaam die begint met een minteken interpreteert als een optie kan een dubbel minteken (--) opgegeven worden, waarna dwdiff alle volgende argumenten als bestandsnamen zal interpreteren.

De stopstatus van dwdiff geeft het resultaat van de vergelijking aan: 0 als de bestanden gelijk zijn, 1 als er verschillen zijn. In geval er een fout optreedt, zal dwdiff stoppen met status 2.

PROFIELEN
Sinds versie 2.1.0 biedt dwdiff de gebruiker de mogelijkheid profielen te creëren. Een profiel is een set opties die geladen kan worden middels de --profile optie. Profielen worden vastgelegd in het .dwdiffrc bestand in de home directory van de gebruiker. De inhoud van het .dwdiffrc bestand dient er als volgt uit te zien:

Een regel bevat ofwel een profiel kop (tekst tussen []), of een lange optie naam zonder de voorloop streepjes, optioneel gevolgd door het bijbehorende argument. Het argument wordt van witruimtekarakters ontdaan. Als het argument corresponderende dubbele of enkele aanhalingstekens bevat, dan worden deze ook verwijderd. Commentaar kan toegevoegd worden door een regel met een hekje (#) te beginnen.

Als er geen profiel naam is gespecificeerd, dan wordt het profiel met de naam default geladen, tenzij de optie --no-profile gespecificeerd is. Hier is een voorbeeld .dwdiffrc:

[default]
color red,blue
punctuation

[html]
start-delete <span style="color=red">
stop-delete </span>
start-insert <span style="color=green">
stop-insert </span>

[space-only]
# Use only a space as whitespace.
white-space " "

BUGS
Als u denkt een bug gevonden te hebben, controleer dan dat u de nieuwste versie van dwdiff <http://os.ghalkes.nl/dwdiff.html> gebruikt. Als u een bug wil rapporteren, voeg dan een minimaal voorbeeld dat het probleem demonstreert toe aan uw melding.

AUTEUR
G.P. Halkes <dwdiff@ghalkes.nl>

COPYRIGHT
Copyright © 2006-2011 G.P. Halkes and others
dwdiff is gelicenseerd onder de GNU General Public License version 3.
Voor meer informatie over de licentie, zie het bestand COPYING in de documentatie map. Op Un*x systemen is dit meestal /usr/share/doc/dwdiff-$VERSION$.

ZIE OOK
dwfilter(1), wdiff(1), diff(1)